Quantification tool - Bug #1640

Excel exportation too slow - implement "full” and "fast™ exportation
11/04/2015 03:42 PM - Luis Gustavo do Valle Bastos

Status: Closed Start date: 11/04/2015
Priority: Immediate Due date: 02/05/2016
Assignee: Luis Gustavo do Valle Bastos % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Version 4.0 Spent time: 0.00 hour
Description

- It has taken too much time (about a minute or more) to complete the exportation process, even for forecasting files without much
data on it. Please speed up the process.

- The waiting symbol of windows (the rounding circle) does not show up anytime: during generation of the file NOR while opening the
file after successfully exported. Please include.

History

#1 - 11/10/2015 03:25 PM - Oleksii Kurasov

- Status changed from New to In Progress

#2 - 11/12/2015 09:31 AM - Oleksii Kurasov
- Due date set to 11/12/2015
- Status changed from In Progress to Resolved

- Assignee changed from Oleksii Kurasov to Luis Gustavo do Valle Bastos

For me XLSX format reduced exportation time twice.
About 18 sec for Merged file 1 and 2 NOV.qtb
Please, check on your comp.

#3 - 11/12/2015 07:12 PM - Luis Gustavo do Valle Bastos
- File Test merging Nov 12 succes.qtb added
- Status changed from Resolved to Feedback

- Assignee changed from Luis Gustavo do Valle Bastos to Oleksii Kurasov

It is still very slow. For instance, the attached file took more than a minute. See qgtb file attached.

| tested it with all other applications closed and the power cord connected.

#4 - 11/16/2015 03:23 PM - Oleksii Kurasov

- Assignee changed from Oleksii Kurasov to Luis Gustavo do Valle Bastos

I've discovered cause of slowness. There are medicines details exportation. Export of any medicines details sheet takes about 4 sec on my laptop.
There is no way to reduce exportation time, because to build a medicine detail | need to iterate over all daily consumption. Maybe it will be acceptable
to implement "full" and "fast" exportation. The full exportation is exportation with medicines details, fast - only main tables and an order.

What do you think?
#5 - 11/21/2015 01:00 PM - Luis Gustavo do Valle Bastos

- Subject changed from Excel exportation too slow to Excel exportation too slow - implement "full" and "fast" exportation
- Status changed from Feedback to New

- Assignee changed from Luis Gustavo do Valle Bastos to Oleksii Kurasov

- Priority changed from Immediate to Normal

- Target version changed from Version 3.0 to Version 4.0

Relocate as new issue for version 4.0.

#6 - 12/17/2015 12:22 PM - Luis Gustavo do Valle Bastos

- Priority changed from Normal to Immediate

#7 - 01/11/2016 03:12 PM - Oleksii Kurasov
- Due date changed from 11/12/2015 to 01/13/2016
- Status changed from New to Resolved

- Assignee changed from Oleksii Kurasov to Luis Gustavo do Valle Bastos

#8 - 01/14/2016 10:51 AM - Luis Gustavo do Valle Bastos
- File Export slow-fast.JPG added
- Status changed from Resolved to Feedback

- Assignee changed from Luis Gustavo do Valle Bastos to Oleksii Kurasov

Change the labels as follow:
- "Whole data (slow)" to "All data". Without the word slow at the end.
- "Without details (Fast)" to "Without med. details (faster)"

See attached.

#9 - 01/15/2016 08:31 AM - Oleksii Kurasov
- Due date changed from 01/13/2016 to 01/18/2016
- Status changed from Feedback to Resolved

- Assignee changed from Oleksii Kurasov to Luis Gustavo do Valle Bastos

#10 - 01/21/2016 10:30 AM - Luis Gustavo do Valle Bastos
- Status changed from Resolved to Feedback

- Assignee changed from Luis Gustavo do Valle Bastos to Oleksii Kurasov
In addition to the feedback below:
Make the dialog box "Export to Excel" be displayed immediately after users call for the exportation in the forecasting menu or icon, and not after the

consistent checking as currently. Then, after user define the location and type of exportation the system would process the checking, execute the
forecasting and display any warning messages when needed.

#11 - 02/04/2016 07:05 AM - Oleksii Kurasov
- Due date changed from 01/18/2016 to 02/05/2016
- Status changed from Feedback to Resolved

- Assignee changed from Oleksii Kurasov to Luis Gustavo do Valle Bastos

#12 - 02/05/2016 07:16 PM - Luis Gustavo do Valle Bastos

- Status changed from Resolved to Closed

Tested and adequate (slow: 1min22sec; faster: 35sec).

Files
Test merging Nov 12 succes.qtb 88.9 KB 11/13/2015 Luis Gustavo do Valle Bastos
Export slow-fast.JPG 44.5 KB 01/14/2016 Luis Gustavo do Valle Bastos

05/06/2025

3/3


http://www.tcpdf.org

